Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_ESF_Proxy_List< PROXY > Class Template Reference

A concrete proxy collection. More...

`#include <ESF_Proxy_List.h>`

Collaboration diagram for TAO_ESF_Proxy_List< PROXY >:

[legend]
List of all members.

## Public Types
typedef ACE_Unbounded_Set_Ex< PROXY * > | Implementation
| A typedef for the underlying implementaiton class.
typedef ACE_Unbounded_Set_Ex_Iterator< PROXY * > | Iterator
| A typedef for the underlying iterator.
## Public Methods
| TAO_ESF_Proxy_List (void)
| Constructor.
ACE_Unbounded_Set_Ex_Iterator< PROXY * > | begin (void)
ACE_Unbounded_Set_Ex_Iterator< PROXY * > | end (void)
| Return one past the last element in the collection.
size_t | size (void) const
| Return the number of elements in the collection.
void | connected (PROXY *ACE_ENV_ARG_DECL_NOT_USED)
| Insert a new element to the collection.
void | reconnected (PROXY *ACE_ENV_ARG_DECL_NOT_USED)
| Insert a new element that could be there already.
void | disconnected (PROXY *ACE_ENV_ARG_DECL_NOT_USED)
| Remove an element from the collection.
void | shutdown (ACE_ENV_SINGLE_ARG_DECL_NOT_USED)
## Private Attributes
ACE_Unbounded_Set_Ex< PROXY * > | impl_
| The underlying implementation object.

## Detailed Description

### template<class PROXY>
class TAO_ESF_Proxy_List< PROXY >

A concrete proxy collection.

Based on the ACE_Unbounded_Set_Ex<> collection, used a double linked list internally.

## Member Typedef Documentation

template<class PROXY>
typedef ACE_Unbounded_Set_Ex<PROXY*> TAO_ESF_Proxy_List< PROXY >::Implementation

| A typedef for the underlying implementaiton class.

template<class PROXY>
typedef ACE_Unbounded_Set_Ex_Iterator<PROXY*> TAO_ESF_Proxy_List< PROXY >::Iterator

| A typedef for the underlying iterator.

## Constructor & Destructor Documentation

template<class PROXY>
TAO_ESF_Proxy_List< PROXY >::TAO_ESF_Proxy_List | ( | void |  | ) |

| Constructor.

## Member Function Documentation

template<class PROXY>
ACE_INLINE ACE_Unbounded_Set_Ex_Iterator< PROXY * > TAO_ESF_Proxy_List< PROXY >::begin | ( | void |  | ) |

| Return the first element in the collection, or end() if there are none

template<class PROXY>
void TAO_ESF_Proxy_List< PROXY >::connected | ( | PROXY * | ACE_ENV_ARG_DECL_NOT_USED | ) |

| Insert a new element to the collection.

template<class PROXY>
void TAO_ESF_Proxy_List< PROXY >::disconnected | ( | PROXY * | ACE_ENV_ARG_DECL_NOT_USED | ) |

| Remove an element from the collection.

template<class PROXY>
ACE_INLINE ACE_Unbounded_Set_Ex_Iterator< PROXY * > TAO_ESF_Proxy_List< PROXY >::end | ( | void |  | ) |

| Return one past the last element in the collection.

template<class PROXY>
void TAO_ESF_Proxy_List< PROXY >::reconnected | ( | PROXY * | ACE_ENV_ARG_DECL_NOT_USED | ) |

| Insert a new element that could be there already.

template<class PROXY>
void TAO_ESF_Proxy_List< PROXY >::shutdown | ( | ACE_ENV_SINGLE_ARG_DECL_NOT_USED |  | ) |

| Shutdown the collection, i.e. remove all elements and release resources

template<class PROXY>
ACE_INLINE size_t TAO_ESF_Proxy_List< PROXY >::size | ( | void |  | ) | const

| Return the number of elements in the collection.

## Member Data Documentation

template<class PROXY>
ACE_Unbounded_Set_Ex<PROXY*> TAO_ESF_Proxy_List< PROXY >::impl_`[private]`

| The underlying implementation object.

The documentation for this class was generated from the following files:

- ESF_Proxy_List.h
- ESF_Proxy_List.cpp
- ESF_Proxy_List.i